<template>
  <v-dialog transition="dialog-bottom-transition" max-width="600">
    <template v-slot:activator="{ on, attrs }">
      <v-btn color="primary" v-bind="attrs" v-on="on"
        >Parameters<v-icon right dark>mdi-book-open-page-variant</v-icon></v-btn
      >
    </template>
    <template v-slot:default="dialog">
      <v-card>
        <v-toolbar color="primary" dark>Parameters</v-toolbar>
        <v-card-text>
          <v-simple-table max-height="75%">
            <template v-slot:default>
              <thead>
                <tr>
                  <th>Parameter</th>
                  <th>Value</th>
                </tr>
              </thead>
              <tbody>
                <tr
                  v-for="(parameter, index) in messages"
                  :key="'message' + index"
                >
                  <td>{{ parameter.name }}</td>
                  <td>
                    {{ parameter.value }}
                  </td>
                </tr>
              </tbody>
            </template>
          </v-simple-table>
        </v-card-text>
        <v-card-actions class="justify-end">
          <v-btn text @click="dialog.value = false">Close</v-btn>
        </v-card-actions>
      </v-card>
    </template>
  </v-dialog>
</template>

<script>
export default {
  name: "MessageList",
  computed: {
    messages() {
      return this.$store.getters["coms/parameters"];
    },
  },
};
</script>